#include <bits/stdc++.h>
#define optimizeio ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

using namespace std;

int main()
{
    optimizeio;
    int a, b, x, y;
    cin >> a >> b >> x >> y;

    if(a == x && b == y)
    {
        cout << "nijedan";
    }
    else if(a == x && b > y)
    {
        cout << "drugi";
    }
    else if(a > x && b == y)
    {
        cout << "prvi";
    }
    else
    {
        cout << "?";
    }
    return 0;
}